Bug 1005405 - Review Request: python-thrift - Thrift Python Software Library
Review Request: python-thrift - Thrift Python Software Library
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1005406
  Show dependency treegraph
 
Reported: 2013-09-06 16:16 EDT by Dan Prince
Modified: 2015-12-06 16:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-28 05:12:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Dan Prince 2013-09-06 16:16:10 EDT
Spec URL: http://fedorapeople.org/~dprince/python-thrift.spec
SRPM URL: http://fedorapeople.org/~dprince/python-thrift-0.9.1-1.src.rpm

Description: Thrift is provided as a set of Python packages. The top level package is thrift, and there are subpackages for the protocol, transport, and server code. Each package contains modules using standard Thrift naming conventions i.e. TProtocol, TTransport) and implementations in corresponding module (i.e. TSocket).  There is also a subpackage reflection, which contains
the generated code for the reflection structures.

Fedora Account System Username: dprince

-------------

This is an upcoming requirement of OpenStack Ceilometer which requires python-happybase.
Comment 1 Christopher Meng 2013-09-07 03:03:48 EDT
1. BuildRequires:  python-devel

---> BuildRequires:  python2-devel

Also missing BuildRequires:  python-setuptools

2. %description has duplicated line:

Thrift Python Software Library

Please remove it as it looks like weird.

3. No dist tag in %release.

4. * Fri Sep 6 2013 Dan Prince - 0.9.1-1

Where is your email?

5. Remove %defattr(-,root,root,-)
Comment 2 Christopher Meng 2013-09-23 20:22:33 EDT
News here?
Comment 3 Christopher Meng 2013-11-09 02:55:38 EST
ping!
Comment 4 Christopher Meng 2014-03-28 05:12:04 EDT
Conflicts with python-thrift in the repo(from "thrift" package) at least.

Note You need to log in before you can comment on or make changes to this bug.